/**
 * 
 */

package org.objectweb.fractal.comete.adl.bindings;

/**
 * An AST node interface to define a binding with protocol specification
 */

public interface DeployableBinding extends org.objectweb.fractal.adl.bindings.Binding {
  /**
   * Get the protocol of the binding (CBST, RPC, ...)
   * @return the protocol
   */
  String getProtocol();

  /**
   * Set the protocol of the binding (CBST, RPC, ...)
   * @param arg the protocol
   */
  void setProtocol(String arg);
}
