
package org.objectweb.fractal.cecilia.improveast;

import java.util.List;
import org.objectweb.fractal.adl.Node;

/**
 * AST improver interface
 */
public interface Improver {
  /**
   * improve an AST node
   * 
   * @param arg then node to improve
   * @return a list of new nodes to improve or null
   */
  public List<Node> improve(Node arg);
}
